package it.android.cs45;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class IntentReceiver2Activity extends Activity implements View.OnClickListener {
    /** Called when the activity is first created. */

    String word;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Intent intent = getIntent();
        word = intent.getStringExtra("word");

        // Print the received word
        TextView textWord=(TextView) findViewById(R.id.text1);
        textWord.setTypeface(null, Typeface.BOLD);
        if (word==null)
            textWord.setText("NO WORD");
        else
            textWord.setText(word);

        String result="No definition found. Click the button below to perform a Google search";
        // Print the word definition
        if (word!=null && word.equals("Android")) {
             result = "Operating system for mobile device";
        }

        TextView text=(TextView) findViewById(R.id.text);
        text.setText(result);
        Button button=(Button) findViewById(R.id.button);
        button.setOnClickListener(this);

    }

    @Override
    public void onClick(View view) {
        Intent intent=new Intent(Intent.ACTION_VIEW);
        intent.setData(Uri.parse("https://www.google.it/?gws_rd=ssl#q=" + word));
        //intent.putExtra(SearchManager.QUERY,word);
        startActivity(intent);

    }
}